# Montage Viewer: Full Color

Full Color. mViewer supports "full color" by combining three independent images overlayed as blue, green and red layers. Each plane needs its own stretch (when combining data from different sources these can be very different):

    mViewer -blue  SDSS_u.fits 0s max gaussian-log \
            -green SDSS_g.fits 0s max gaussian-log \
            -red   SDSS_r.fits 0s max gaussian-log \
            -out   m51_sdss_color.png
Example data can be downloaded here. |

There is also a parameter that enhances the color separation between the planes. Basically, it takes the R,G,B values for a pixel, and determines which one is dominant. Then, while keeping the pixel intensity fixed, it emphasizes the dominant color and supresses the other two. The directive ("`-t`") takes a single argument which is used a power in the calculation, so a value of one is no change and a value of two is a pretty strong change:

    mViewer -t 1.5 \
            -blue  SDSS_u.fits 0s max gaussian-log \
            -green SDSS_g.fits 0s max gaussian-log \
            -red   SDSS_r.fits 0s max gaussian-log \
            -out   m51_true_1.5.png
    mViewer -t 2.0 \
            -blue  SDSS_u.fits 0s max gaussian-log \
            -green SDSS_g.fits 0s max gaussian-log \
            -red   SDSS_r.fits 0s max gaussian-log \
            -out   m51_sdss_color.png
            -out   m51_true_2.0.png
    mViewer -t 2.5 \
            -blue  SDSS_u.fits 0s max gaussian-log \
            -green SDSS_g.fits 0s max gaussian-log \
            -red   SDSS_r.fits 0s max gaussian-log \
            -out   m51_sdss_color.png
            -out   m51_true_2.5.png
    mViewer -t 3.0 \
            -blue  SDSS_u.fits 0s max gaussian-log \
            -green SDSS_g.fits 0s max gaussian-log \
            -red   SDSS_r.fits 0s max gaussian-log \
            -out   m51_true_3.0.png